@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Mulish:ital,wght@0,200..1000;1,200..1000&family=Unna:ital,wght@0,400;0,700;1,400;1,700&display=swap');
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css");

:root{
    --h1: 48px;
    --h2: 36px;
    --h3: 28px;
    --h4: 24px;
    --h5: 22px;

    --sub: 14px;   
    --subminus: 12px;  

    --label: 18px;
    --ls: 4px;  

    --bodyplus: 20px;
    --body: 16px;
    --bodyminus: 15px;

    --font-1:'Unna', serif;
    --font-2:'Mulish', sans-serif;

    --color-dark-100: rgba(41,33,33,1);
    --color-dark-85: rgba(41,33,33,0.85);
    --color-dark-75: rgba(41,33,33,0.75);
    --color-dark-50: rgba(41,33,33,0.5);
    --color-dark-40: rgba(41,33,33,0.4);
    --color-dark-25: rgba(41,33,33,0.25);
    --color-dark-20: rgba(41,33,33,0.2);
    --color-dark-10: rgba(41,33,33,0.1);
    --color-dark-8: rgba(41,33,33,0.08);
    --color-dark-5: rgba(41,33,33,0.05);
    --color-dark-2: rgba(41,33,33,0.02);

    --color-white-100: rgba(255,255,255,1);
    --color-white-95: rgba(255,255,255,0.95);
    --color-white-85: rgba(255,255,255,0.85);
    --color-white-75: rgba(255,255,255,0.75);
    --color-white-50: rgba(255,255,255,0.5);
    --color-white-25: rgba(255,255,255,0.25);

    --color-teal-dark: rgb(42, 114, 125);
    --color-teal-100: rgb(48, 143, 157);
    --color-teal-75: rgba(48, 143, 157,0.75);
    --color-teal-25: rgba(48, 143, 157,0.25);
    --color-teal-10: rgba(48, 143, 157,0.10);
    
    /* --color-gold-100:rgba(182, 159, 136, 1); */

    --color-gold-100:rgb(189, 79, 115, 1);
    --color-gold-75:rgb(189, 79, 115, 0.65);
    --color-gold-50:rgb(189, 79, 115, 0.5);

    --shadow-1: 0 0 4px 0 rgba(0,0,0,0.25);

    --shadow-2: 0 0 8px 0  rgba(42, 114, 125, 1);

    --shadow-3: 0 0 5px 0 rgba(0,0,0,0.75);
}

/** -----------------removing browser default styles---------------------------------------**/

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box; /**keep within screen width**/
}

/** ---------------------styles for buttons & hr-------------------------------------------**/

.white-btn{
    color: var(--color-dark-100);
    background-color: var(--color-white-100);
    cursor: pointer;
    font-size: var(--body);
    font-family: var(--font-2);
    border-style: solid;    
    border-width: 1px;
    border-color: var(--color-white-100);
    border-radius: 30px;
    padding: 10px 30px;
}

.dark-btn{
    color: var(--color-white-100);
    background-color: var(--color-dark-85);
    cursor: pointer;
    font-size: var(--body);
    font-family: var(--font-2);
    border-style: solid;    
    border-width: 1px;
    border-color: var(--color-dark-85);
    border-radius: 30px;
    padding: 10px 30px;
}

hr{    
    border: none;
    border-bottom: 1px solid; 
    color: var(--color-dark-25);
    box-shadow: var(--shadow-1);
}

/** ---------------------styles for text: colors, alignment etc---------------------------------------------**/

.text-white{
    color: var(--color-white-100);
}

.text-dark{
    color: var(--color-dark-100);
}

.text-dark-85{
    color: var(--color-dark-85);
}

.text-dark-75{
    color: var(--color-dark-75);
}

.text-dark-50{
    color: var(--color-dark-50);
}

.text-dark-50-bold{
    color: var(--color-dark-50);
    font-weight: 600;
}

.text-teal{
    color: var(--color-teal-100);
}

.text-gold{
    color: var(--color-gold-100);
}

.text-left{
    text-align: left;
}

.text-center{
    text-align:center;
}

.text-right{
    text-align:right;
}

.common-title{
    text-transform: capitalize;
    font-size: var(--h1);
    font-family: var(--font-1);
    font-weight: bold;
    letter-spacing: var(--ls);
}

.title{
    font-family: var(--font-2);
    font-size: var(--h3);
    letter-spacing: 2px;
    font-weight: 800;
    padding-top: 20px;
}

.subtitle{
    font-family: var(--font-2);
    font-size: var(--h5);       
    font-weight: 700;  
    color: var(--color-gold-100);  
}

.subsubtitle{
    font-family: var(--font-2);
    font-size: var(--bodyminus);       
    font-weight: 600;  
    text-transform: uppercase;
    color: var(--color-gold-100);
}

.label{
    font-family: var(--font-2);
    font-size: var(--bodyplus);
    letter-spacing: var(--ls);
    text-transform: uppercase;
    font-weight: 800;
    padding-top: 20px;
}

.minilabel{
    font-family: var(--font-2);
    font-size: var(--bodyminus);    
    color: var(--color-gold-100);    
    font-weight: 800;  
}

/* -------------------2col-grid, container, anchor links-------------------------- */
.grid{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: flex-start;
    padding: 40px, 0;
    gap: 40px;
}

.flex{
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.container {
    max-width: 1140px;
    margin: auto;
}

.responsive-image{
    max-width: 100%;
    height: auto;
}

.not-shown{
    display: none;
}

a:link{
    color: var(--color-teal-100);
    text-decoration: none;
}

a:hover{
    color: var(--color-gold-100);
    text-decoration: none;    
    transition: all 0.2s ease;
}

button:hover{
    background-color: var(--color-white-75);
    border: none;
    border-style: solid;    
    border-width: 1px;
    border-color: var(--color-dark-50);
    color: var(--color-gold-100);
    transition: all 0.2s ease;
}

/** -------------------------styles for topNav, navbar, buttons, links---------------------------------**/

.topNavWrapper{
    background-color: var(--color-teal-100);  
}

.topNavContent{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: right;
    padding: 10px 0;
}

.topNavContent__contact a{
    font-family: var(--font-2);
    font-size: var(--sub);
    font-weight: 600;
    color: var(--color-white-85);
    text-decoration: none;
    border: solid 1px;
    border-color: var(--color-dark-85);
    border-radius: 50px;
    background-color: var(--color-dark-85);
    padding: 3px 20px 5px 20px;
}

.topNavContent__contact a:hover{
    color: var(--color-gold-100);
    text-decoration: none;
    font-weight: 600;
    border-color: var(--color-dark-100);
    border-radius: 50px;
    background-color: var(--color-white-95);
    transition: all 0.3s ease;
    padding: 3px 20px 5px 20px;
}



/** -------------------------------styles for navbar-------------------------------------------**/

.navbarWrapper{
    background-color: var(--color-white-100);    
    z-index: 99;
    width: 100%;
}

.sticky{
    position: fixed;
    top: 0;
}

.navbarLine{
    border: solid 1px;
    border-color: var(--color-teal-dark);
}

.navbar{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 8px 0 5px 0;
    transition: all 0.4s ease;
}

.navbar__menu{
    display: flex;
    flex-direction: row;
    font-family: var(--font-2);
    font-size: var(--sub);
    text-transform: uppercase;
    font-weight: 500;
}

[class ^="navbar__menu--"]{
    color: var(--color-dark-85);
    text-decoration: none;    
}

.navbar__menu a:link{
    color: var(--color-dark-85);
    text-decoration: none;
    border: none;      
    padding: 10px 10px 10px 10px;  
}

.navbar__menu a:hover{
    color: var(--color-gold-100);
    text-decoration: none;
    border: none;      
    padding: 10px 10px 10px 10px;     
    border-radius: 30px;    
    background-color: var(--color-dark-5);
    transition: all 0.2s ease;
}

.active{
    color: var(--color-teal-dark);
    font-weight: 600;
    text-decoration: none;
    padding: 10px 10px 10px 10px; 
}

.navbar__icons{
    display: none;
}

.navbar__icons i{
    cursor: pointer;
    font-size: var(--h4);
    color: var(--color-black-100);
}

/** -----------------------style rules for the sidebar---------------------------------**/

.sidebar{
    margin-top: 60px;
    margin-bottom: 120px;
    height: auto;
    font-size: var(--sub);
    font-family: var(--font-2);
    line-height: 1.5; 
}

.sidebar{
    position: -webkit-sticky;
    position: sticky;
    top: 120px;
}

.sidebar__contentTitle{
    padding: 10px;
}

.sidebar__contentTitle--title{  
    color: var(--color-dark-85);
}

.sidebar li{
    list-style: none;
}

.sidebar a{
    font-weight: 600;
    color: var(--color-teal-dark);
    text-decoration: none;
}

.sidebar a:hover{
    color: var(--color-gold-100);
    text-decoration: none;
    transition: all 0.3s ease;
}

.activeSidebar{
    background-color: var(--color-white-100);    
    border-radius: 2px;
    border-left: solid 3px;
    border-left-color: var(--color-gold-100); 
}


/** -----------------------style rules for the banner section---------------------------------**/

.banner{    
    height: 330px;
    background-color: var(--color-dark-85);  
    background-image: url('../images/index/NPL_hero.png');       
    background-repeat: no-repeat; 
    background-size: cover;
}

.sectionTitle{
    padding: 100px 100px 50px 0;
    background: linear-gradient(rgba(41,33,33,0),  rgba(41,33,33,0.8) 50%);
}

.sectionTitle__title{
    padding: 0 0 20px 0;
}

.sectionTitle__intro{
    font-size: var(--bodyplus);
    font-family: var(--font-2);    
    line-height: 1.5;
}

.sectionPageContent{
    padding: 40px 0 60px 0;
}


/** -----------------------style rules for the footer section---------------------------------**/

.footerWrapper {
    background-color: var(--color-dark-100);
    display: flex;
}

.footerContent {
    display: grid;
    grid-template-columns: 1.5fr 1fr 1fr;
    gap:300px;    
    width: 100%;
    align-items:flex-end;    
    margin-top: 20px;
    margin-bottom: 40px;   
    font-family: var(--font-2);
    font-size: var(--bodyminus);
    color: var(--color-white-75);    
    line-height: 1.5; 
}

.footerContent__left, .footerContent__middle{
    text-align: left;
}

.footerContent__right{
    text-align: right;
}

.footerContent__left--icon {
    font-size: var(--h5);
    margin-bottom: 5px;     
} 

.footerContent__left img{
    opacity: 0.75;
    transition: opacity 0.2s ease;
}

.footerContent__left:hover img{
    opacity: 1;
}

.footerContent__left--contact{
    margin-top: 20px;
    /* text-decoration: overline; */
}

.footerContent__middle{
    line-height: 1.3; 
}

.footerContent__middle a{
    font-weight: 500;
    color: var(--color-white-75);
    text-decoration: none;
}

.footerContent__middle a:hover{
    color: var(--color-white-100);
    font-weight: 700;
    text-decoration: none;
    transition: all 0.2s ease;
}

.footerContent__left--contact a{
    font-weight: 500;
    color: var(--color-white-75);
    text-decoration: none;
}

.footerContent__left--contact a:hover{
    color: var(--color-white-100);
    font-weight: 700;
    text-decoration: none;
    transition: all 0.2s ease;
}

.footerContent__right img{
    width: 80%;
    opacity: 0.75;
    transition: opacity 0.2s ease;
}

.footerContent__right:hover img{
    opacity: 1;
}

.footerCopyrightWrapper{
    background-color: var(--color-dark-25); 
    display: flex;
}

.footerCopyrightWrapper__content{
    font-family: var(--font-2);
    font-size: var(--sub);
    color: var(--color-dark-75); 
    padding: 20px 0;
}


/** ---------------------style rules for media queries. Breakpoints: 1200px, 1024px, 768px 568px--------------------------**/

@media (max-width: 1200px){
    .container{
        max-width: 970px;        
    }

    .navbar__logo .responsive-image{
        width: 60%;
    }

    .footerContent {
        display: grid;
        grid-template-columns: 1.5fr 1fr 1fr;
        gap:100px;    
    }

    .footerContent__left--icon {
        font-size: var(--bodyplus);
        margin-bottom: 5px;     
    } 

    .footerContent__left--logo .responsive-image{
        width: 25%;
    }

    .footerContent__middle{
        font-size: var(--sub);
    }
  
    .footerContent__right img{
        width: 55%;
    }
}

/** -------------------------------------------- Breakpoint: 1024px -----------------------------------------------------**/
@media (max-width: 1024px){
    .container{
        max-width: 90%;
    }

    .common-title {
        font-size: var(--h2);
    }

     .navbar__logo .responsive-image{
        width: 40%;
    }
    
    /* -------------At 1024px: remove navbar__menu and change to hamburger - configure hamburger ------------------*/
   
    .navbarWrapper{
        position: fixed;
    }

    .navbar__menu{
        background-color: var(--color-white-100);
        position: absolute;
        top: 60px;        
        width: 30%;
        height: 100vh;
        right: 0;
        display: flex;
        flex-direction: column;
        text-align: left;
        padding: 10px 20px;
        transition: all 0.3s ease-in-out;
    }

    .navbar__icons{
        display: block;
    }

    .hide {
        display: none;
    }

    .hidden {
        display: none;
    }

    .show-tablet{
        display: flex;
    }

    .sectionTitle{
        padding: 120px 0 20px 0;       
    }

    .sidebar{
        font-size: var(--bodyminus);
    }
    
    .sidebar__contentTitle{
        padding: 5px 10px;
    }

/* --------------------------------At 1024px: configure footer ------------------------------------------------*/     
    .footerContent {
        display: grid;
        grid-template-columns: 1.5fr 1fr 1.5fr;
        width: 100%;
        gap:0;    
        padding: 10px 0 0 0;
    }

    .footerContent__left--logo .responsive-image{
        width: 25%;
    }

    .footerContent__middle{
        font-size: var(--sub);
    }

    .footerContent__right img{
        width: 35%;
    }

    .sidebar{
        font-size: var(--sub);
    }
}

/** -------------------------------------------- Breakpoint: 768px -----------------------------------------------------**/
@media (max-width: 768px){
    .container{
        max-width: 90%;
    }

    .title{
        font-size: var(--h4);
    }

    .subtitle{
        font-size: var(--bodyplus);
    }

    .grid{
        grid-template-columns: repeat(1, 1fr);
    }

    .navbar__logo .responsive-image{
        width: 40%;
    }

    .navbarWrapper{
        position: fixed;
    }

    .navbar__menu{
        background-color: var(--color-white-100);
        position: absolute;
        top: 60px;        
        width: 40%;
        height: 100vh;
        right: 0;
        display: flex;
        flex-direction: column;
        text-align: left;
        padding: 10px 20px;
        transition: all 0.3s ease-in-out;
    }

    .navbar__icons{
        display: block;
    }

    .hide {
        display: none;
    }

    .hidden {
        display: none;
    }

    .show-pad{
        display: flex;
    }

    .grid{
        grid-template-columns: repeat(1, 1fr);    
    }

    .sidebar{
        display: none;
    }

    .sectionTitle__intro{
        font-size: var(--label);
        line-height: 1.4;
    }

    .footerContent {
        display: grid;
        grid-template-columns: repeat(2, 1fr); 
        width: 100%;
        gap:10px;   
    }

    .footerContent__left--logo .responsive-image{
        width: 25%;
    }

    .footerContent__left{
        text-align: left;
    } 

    .footerContent__right{
        text-align: right;
    } 

    .footerContent__middle{
        display: none;
    }

    .footerContent__right{
        line-height: 2;
    }

    .footerContent__right{
        display: flex;
        flex-direction: column;
    }

    .footerContent__right .responsive-image{
        width: 40%;
    }
}

/** -------------------------------------------- Breakpoint: 568px -----------------------------------------------------**/
@media (max-width: 568px){
    .container{
        max-width: 90%;
    }

    .grid{
        grid-template-columns: repeat(1, 1fr);    
    }

    .topNavContent{
        padding: 10px 0;
    }

    .navbar{
        padding: 5px 0 1px 0;
    }

    .navbar__logo .responsive-image{
        /* width: 45%; */
        width: 50%;
    }

    /* remove navbar__menu and change to hamburger - configure hamburger */
    
    .navbarWrapper{
        position: fixed;
    }

    .navbar__menu{
        /* z-index: 1; */
        background-color: var(--color-white-100);
        position: absolute;
        top: 55px;        
        width: 50%;
        height: 100vh;
        right: 0;
        display: flex;
        flex-direction: column;
        text-align: left;
        padding: 10px 15px;
        transition: all 0.3s ease-in-out;
    }
    
    .navbar__icons{
        display: block;
    }

    .hide {
        display: none;
    }

    .hidden {
        display: none;
    }

    .show-mob{
        display: flex;
    }

    .title{
        font-size: var(--h3);
    }

    .subtitle{
        font-size: var(--h5);
    }

    .footerContent__left, .footerContent__middle, .footerContent__right{
        display: grid;
        grid-template-columns: 1fr;
        text-align: center;
    }

    .footerContent__middle{
        margin-top: 20px;
        margin-bottom: 20px;
    }

    .footerContent__middle, .footerContent__right{
        line-height: 2;
    }

    .footerContent__left--logo .responsive-image{
        width: 15%;
    }

    .footerContent__right .responsive-image{
        width: 30%;
    }
}